Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer
Interface SignatureFacet

All Known Implementing Classes:
  ASiCSignatureFacet, CoSignatureFacet, EnvelopedSignatureFacet, IdentitySignatureFacet, KeyInfoSignatureFacet, ODFSignatureFacet, Office2010SignatureFacet, OOXMLSignatureFacet, OpenOfficeSignatureFacet, XAdESSignatureFacet, XAdESXLSignatureFacet

    public interface SignatureFacet

JSR105 Signature Facet interface.

Author:
  Frank Cornelis

Method Summary
`void` | `postSign(Element signatureElement, List<X509Certificate> signingCertificateChain)` This method is being invoked by the XML signature service engine during the post-sign phase.
`void` | `preSign(XMLSignatureFactory signatureFactory, Document document, String signatureId, List<X509Certificate> signingCertificateChain, List<Reference> references, List<XMLObject> objects)` This method is being invoked by the XML signature service engine during pre-sign phase.

Method Detail

### preSign

    void preSign(XMLSignatureFactory signatureFactory,
                 Document document,
                 String signatureId,
                 List<X509Certificate> signingCertificateChain,
                 List<Reference> references,
                 List<XMLObject> objects)
                 throws NoSuchAlgorithmException,
                        InvalidAlgorithmParameterException

  This method is being invoked by the XML signature service engine during pre-sign phase. Via this method a signature facet implementation can add signature facets to an XML signature.

  Parameters:
    `signatureFactory` -
    `document` -
    `signatureId` -
    `signingCertificateChain` - the optional signing certificate chain
    `references` -
    `objects` -
  Throws:
    `InvalidAlgorithmParameterException`
    `NoSuchAlgorithmException`

### postSign

    void postSign(Element signatureElement,
                  List<X509Certificate> signingCertificateChain)

  This method is being invoked by the XML signature service engine during the post-sign phase. Via this method a signature facet can extend the XML signatures with for example key information.

  Parameters:
    `signatureElement` -
    `signingCertificateChain` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.